## groovy.ui
Class ConsoleTextEditor

Component which provides a styled editor for the console.

version:
  $Id$

author:
  hippy

Field Summary
`PrinterJob` | `PRINTER_JOB`
`boolean` | `editable`
`PrintAction` | `printAction`
`RedoAction` | `redoAction`
`TextEditor` | `textEditor`
`File` | `textFile`
`UndoAction` | `undoAction`
`TextUndoManager` | `undoManager`

Constructor Summary
`ConsoleTextEditor()` Creates a new instance of ConsoleTextEditor

Method Summary
`boolean` | `clipBoardAvailable()`
`TextEditor` | `getTextEditor()`
`void` | `initActions()`

Constructor Detail

### ConsoleTextEditor

    public ConsoleTextEditor()

  Creates a new instance of ConsoleTextEditor

Method Detail

### clipBoardAvailable

    public boolean clipBoardAvailable()

### getTextEditor

    public TextEditor getTextEditor()

### initActions

    void initActions()